from django.shortcuts import render
from django.http import HttpResponse

from .models import Event, Location


def index(request):

    head = "<h1 style='border-bottom:4px solid lightgray;\
            padding-bottom:30px;\
            font-size:500%;'>\
            Widget’s Calendar of Activities\
            </h1>"

    body = ""

    for event in Event.objects.all():
        location = event.location
        datetime = str(event.target_datetime)
        estimated_hours = str(event.estimated_hours)
        body += "<p style='border: 2px solid gray;\
                border-radius:5px;\
                padding:20px 30px;'>\
                Date and Time: "+datetime+" <br>\
                Activity: "+event.activity+" <br>\
                Estimated Hours: "+estimated_hours+" <br>\
                Course/Section: "+event.course.course_title+" <br>\
                Mode: "+location.mode+" <br>\
                Venue: "+location.venue+" <br>\
                </p>"

    return_string = "<html>\
                    <body style = 'font-family:helvetica;\
                    padding:30px;'>\
                    {}{}\
                    </body></html>".format(head, body)

    return HttpResponse(return_string)
